Manuale PHP
Indietro |  | Avanti

# DOMText->__construct()

(no version information, might be only in CVS)

DOMText->__construct() -- Crea un nuovo oggetto DOMText

## Descrizione

class DOMText {
__construct ( [string value] )
}

Crea un nuovo oggetto DOMText.

## Elenco dei parametri

value

  Valore del nodo di testo. Se non fornito, sarà creato un nodo con il testo vuoto.

## Esempi

Esempio 1. Creazione di un nuovo DOMText

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $text = $element->appendChild(new DOMText('root value')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>root value</root> */ ?>`

## Vedere anche:

DOMDocument->createTextNode()

Indietro | Partenza | Avanti
DOMProcessingInstruction->__construct() | Risali | DOMText->isWhitespaceInElementContent()